XDG_DATA_HOME=$HOME/.local/share
XDG_CONFIG_HOME=$HOME/.config
XDG_STATE_HOME=$HOME/.local/state
XDG_CACHE_HOME=$HOME/.cache

# cleaning up home for applications
# adb
ANDROID_USER_HOME="$XDG_DATA_HOME"/android
# bash
HISTFILE="${XDG_STATE_HOME}"/bash/history
# cargo
CARGO_HOME="$XDG_DATA_HOME"/cargo
# novideo
CUDA_CACHE_PATH="$XDG_CACHE_HOME"/nv
# gradle
GRADLE_USER_HOME="$XDG_DATA_HOME"/gradle
# java
_JAVA_OPTIONS="-Djava.util.prefs.userRoot=${XDG_CONFIG_HOME}/java -Djavafx.cachedir=${XDG_CACHE_HOME}/openjfx"
# platformio
PLATFORMIO_CORE_DIR="$XDG_DATA_HOME"/platformio
# python (before v3.13.0,still beta)
PYTHONSTARTUP="$XDG_CONFIG_HOME"/python/pythonrc
# teamspeak
TS3_CONFIG_DIR=$XDG_CONFIG_HOME/ts3client
# wakatime
WAKATIME_HOME='$XDG_CONFIG_HOME/wakatime'
# wine
WINEPREFIX="$XDG_DATA_HOME"/wine


